# this is a helper script for add_hang_curve.py
def getChildren(ob, scene): #does not scale. fix api.
	def isParent(ob, c):
		p = c.getParent()
		if p is not None: 
			if p.name is ob.name:
				return True
		else:
			False
	return [c for c in scene.getChildren()
			if isParent(ob, c)]

def global_loc(ob):
	m3 = ob.getMatrix()[3]
	return (m3[0], m3[1], m3[2])